package org.jdtaus.banking.messages;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class BankleitzahlExpirationMessageBundle{

private static final Map cache;

static
{
    cache = new HashMap();
    getBankleitzahlExpirationText(Locale.getDefault());
}

/** <pre> The Bankleitzahl {0} has expired.</pre>. */
public static String getBankleitzahlExpirationText(final Locale locale) {
    return getMessage("bankleitzahlExpiration", locale);
}

/** <pre> The Bankleitzahl {0} has expired.</pre>. */
public static MessageFormat getBankleitzahlExpirationMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("bankleitzahlExpiration", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) {locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.banking.messages.BankleitzahlExpirationMessage", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
