package org.jdtaus.banking.messages;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class ChecksumsFileMessageBundle{

private static final Map cache;

static
{
    cache = new HashMap();
    getChecksummingFileText(Locale.getDefault());
}

/** <pre> Computes checksum.</pre>. */
public static String getChecksummingFileText(final Locale locale) {
    return getMessage("checksummingFile", locale);
}

/** <pre> Computes checksum.</pre>. */
public static MessageFormat getChecksummingFileMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("checksummingFile", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) {locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.banking.messages.ChecksumsFileMessage", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
