package org.jdtaus.banking.messages;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class IllegalDataMessageBundle{

private static final Map cache;

static
{
    cache = new HashMap();
    getIllegalDataText(Locale.getDefault());
}

/** <pre> "{2}" is no valid value for field {0} (at {1, number}).</pre>. */
public static String getIllegalDataText(final Locale locale) {
    return getMessage("illegalData", locale);
}

/** <pre> "{2}" is no valid value for field {0} (at {1, number}).</pre>. */
public static MessageFormat getIllegalDataMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("illegalData", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) {locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.banking.messages.IllegalDataMessage", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
