package org.jdtaus.banking.messages;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class IllegalDescriptionCountMessageBundle{

private static final Map cache;

static
{
    cache = new HashMap();
    getIllegalDescriptionCountText(Locale.getDefault());
}

/** <pre> The number of descriptions ({1,number}) exceeds the possible number {0,number}.</pre>. */
public static String getIllegalDescriptionCountText(final Locale locale) {
    return getMessage("illegalDescriptionCount", locale);
}

/** <pre> The number of descriptions ({1,number}) exceeds the possible number {0,number}.</pre>. */
public static MessageFormat getIllegalDescriptionCountMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("illegalDescriptionCount", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) {locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.banking.messages.IllegalDescriptionCountMessage", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
