package org.jdtaus.banking.messages;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class IllegalFileLengthMessageBundle{

private static final Map cache;

static
{
    cache = new HashMap();
    getIllegalFileLengthText(Locale.getDefault());
}

/** <pre> The length of the file ({0, number}) is incompatible to the blocksize {1,number}.</pre>. */
public static String getIllegalFileLengthText(final Locale locale) {
    return getMessage("illegalFileLength", locale);
}

/** <pre> The length of the file ({0, number}) is incompatible to the blocksize {1,number}.</pre>. */
public static MessageFormat getIllegalFileLengthMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("illegalFileLength", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) {locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.banking.messages.IllegalFileLengthMessage", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
