package org.jdtaus.banking.messages;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class IllegalScheduleMessageBundle{

private static final Map cache;

static
{
    cache = new HashMap();
    getIllegalScheduleText(Locale.getDefault());
}

/** <pre> The executiondate {1,date,long} is before create date {0,date,long} or more than {2,number} days thereafter.</pre>. */
public static String getIllegalScheduleText(final Locale locale) {
    return getMessage("illegalSchedule", locale);
}

/** <pre> The executiondate {1,date,long} is before create date {0,date,long} or more than {2,number} days thereafter.</pre>. */
public static MessageFormat getIllegalScheduleMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("illegalSchedule", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) {locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.banking.messages.IllegalScheduleMessage", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
