package org.jdtaus.banking.messages;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class TextschluesselConstraintMessageBundle{

private static final Map cache;

static
{
    cache = new HashMap();
    getTextschluesselConstraintText(Locale.getDefault());
}

/** <pre> A logical file with label {0} cannot hold transactions with Textschlüssel {1,number,00}{2,number,000}.</pre>. */
public static String getTextschluesselConstraintText(final Locale locale) {
    return getMessage("textschluesselConstraint", locale);
}

/** <pre> A logical file with label {0} cannot hold transactions with Textschlüssel {1,number,00}{2,number,000}.</pre>. */
public static MessageFormat getTextschluesselConstraintMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("textschluesselConstraint", locale), locale);
}

private static String getMessage(final String key, Locale locale) {
    if(locale == null) {locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.banking.messages.TextschluesselConstraintMessage", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
